NUMFMT(1)

BEZEICHNUNG
numfmt - Zahlen in menschenlesbare Zeichenketten konvertieren und umgekehrt

ÜBERSICHT
numfmt [OPTION] … [ZAHL] …

BESCHREIBUNG

ZAHL(en) neu formatieren; gegebenenfalls aus der Standardeingabe, falls keine angegeben sind.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--debug
    gibt Warnungen zu ungültigen Eingaben aus.

-d, --delimiter=X
    verwendet X anstelle von Leerraum als Feldtrenner.

--field=FELDER
    ersetzt die Zahlen in den angegebenen Eingabefeldern (Vorgabe=1). Siehe FELDER unten.

--format=FORMAT
    verwendet das Gleitkomma-FORMAT im Stil von Printf; siehe FORMAT nachfolgend für Details.

--from=EINHEIT
    skaliert die Zahlen der Eingabe automatisch anhand der angegebenen EINHEIT; standardmäßig »none«; siehe EINHEIT nachfolgend.

--from-unit=N
    gibt die Einheitengröße der Eingabe an (anstatt der vorgegebenen 1).

--grouping
    gruppiert die Ziffern entsprechend der Locale-Definition, zum Beispiel 1.000.000 (hat in der Locale C/POSIX keinen Effekt).

--header[=N]
    gibt die ersten N Kopfzeilen (ohne Konvertierung) aus; N ist standardmäßig 1, falls es nicht angegeben ist.

--invalid=MODUS
    aktiviert den Fehlschlagmodus für ungültige Zahlen: MODUS kann einer der folgenden Modi sein: abort (Abbruch, Vorgabe), fail (Fehlschlag), warn (Warnung), ignore (Ignorieren).

--padding=N
    füllt die Ausgabe bis auf N Zeichen auf; ein positives N ergibt eine rechtsbündige Ausrichtung, ein negatives N eine linksbündige Ausrichtung. Die Auffüllung wird ignoriert, wenn die Ausgabe größer als N ist. Standardmäßig wird automatisch aufgefüllt, wenn Leerraum erkannt wird.

--round=METHODE
    verwendet die angegebene Rundungs-METHODE bei der Skalierung. Die METHODE kann Folgendes sein: up (aufrunden), down (abrunden), from-zero (von Null, Vorgabe), towards-zero (nach Null), nearest (nächstliegend).

--suffix=SUFFIX
    hängt das SUFFIX an die ausgegebenen Zahlen an und akzeptiert ein optionales SUFFIX in den Zahlen der Eingabe.

--to=EINHEIT
    skaliert die Zahlen der Ausgabe automatisch anhand der angegebenen EINHEIT; siehe EINHEIT nachfolgend.

--to-unit=N
    gibt die Einheitengröße der Ausgabe an (anstatt der vorgegebenen 1).

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

  Optionen für EINHEIT:

none
    nimmt keine automatische Skalierung vor; Suffixe lösen einen Fehler aus.

auto
    akzeptiert optional ein Suffix aus ein oder zwei Buchstaben:

    1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  akzeptiert optional ein Suffix aus einem Buchstaben:

    1K = 1000, 1M = 1000000, …

iec akzeptiert optional ein Suffix aus einem Buchstaben:

    1K = 1024, 1M = 1048576, …

iec-i
    akzeptiert optional ein Suffix aus zwei Buchstaben:

    1Ki = 1024, 1Mi = 1048576, …

  Als FELDER werden Feldbereiche im Stil von cut(1) unterstützt:

N   N-tes Feld, ab 1 gezählt

N-  vom N-ten Feld bis zum Ende der Zeile

N-M vom N-ten bis einschließlich M-ten Feld

-M  vom ersten bis einschließlich M-ten Feld

-   alle Felder

Mehrere Feld-/Bereichsangaben können durch Kommata getrennt werden.

FORMAT muss für die Ausgabe eines Fließkomma-Arguments »%f« geeignet sein. Ein optionales Hochkomma (%'f) aktiviert --grouping (sofern es von der aktuellen Locale unterstützt wird). Ein optionaler Wert für die Breite (%10f) füllt die Ausgabe auf. Eine optionale Breite von Null (%010f) füllt die Ausgabe mit Nullen auf. Optionale negative Werte (%-10f) richten die Ausgabe linksbündig aus. Eine optionale Genauigkeitsangabe (%.1f) setzt die durch die Eingabe bestimmte Genauigkeit außer Kraft.

Der Exit-Status ist 0, wenn alle Eingabezahlen erfolgreich konvertiert werden konnten. Standardmäßig stoppt Numfmt beim ersten Konvertierungsfehler mit dem Exit-Status 2. Mit --invalid='fail' wird für jeden Konvertierungsfehler eine Warnung und der Exit-Status 2 ausgegeben. Mit --invalid='warn' wird jeder Konvertierungsfehler diagnostiziert, aber der Exit-Status ist 0. Mit --invalid='ignore' werden Konvertierungsfehler nicht diagnostiziert und der Exit-Status ist 0.

BEISPIELE

    $ numfmt --to=si 1000

    -> "1.0K"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt --to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTOR
Geschrieben von Assaf Gordon.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation ist unter <https://www.gnu.org/software/coreutils/numfmt>
oder lokal mit folgendem Befehl verfügbar: info '(coreutils) numfmt invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).